---
title: 'VideoTrackList: change event'
slug: Web/API/VideoTrackList/change_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The <code>change</code> event is fired when a video track is made active or inactive, for example by changing the track's <code><a href="/en-US/docs/Web/API/VideoTrack/selected">selected</a></code> property.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/VideoTrackList/onchange">onchange</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js">const videoElement = document.querySelector('video');
videoElement.videoTracks.addEventListener('change', (event) =&gt; {
    console.log(`'${event.type}' event fired`);
});

// changing the value of `selected` will trigger the `change` event
const toggleTrackButton = document.querySelector('.toggle-track');
toggleTrackButton.addEventListener('click', () =&gt; {
  const track = videoElement.videoTracks[0];
  track.selected = !track.selected;
});
</pre>

<p>Using the <code>onchange</code> event handler property:</p>

<pre class="brush: js">const videoElement = document.querySelector('video');
videoElement.videoTracks.onchange = (event) =&gt; {
    console.log(`'${event.type}' event fired`);
};

// changing the value of `selected` will trigger the `change` event
const toggleTrackButton = document.querySelector('.toggle-track');
toggleTrackButton.addEventListener('click', () =&gt; {
  const track = videoElement.videoTracks[0];
  track.selected = !track.selected;
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#event-media-change', 'change')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrackList.change_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/en-US/docs/Web/API/VideoTrackList/addtrack_event">addtrack</a></code>, <code><a href="/en-US/docs/Web/API/VideoTrackList/removetrack_event">removetrack</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/AudioTrackList">AudioTrackList</a></code> targets: <code><a href="/en-US/docs/Web/API/AudioTrackList/change_event">change</a></code></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
</ul>
